2 Replies Latest reply: Apr 26, 2012 3:38 PM by Limnos
Bitch2europe Level 1 Level 1 (0 points)

i wanna upgrade my powerbook g4. But coming up against a wall. im unable to upgrade to os10.5 because software not compatible. is my G4 being scrapped.. please help

  • 1. Re: how do i upgrade to os10.5 on powerbook g4
    BGreg Level 6 Level 6 (17,500 points)

    The requirements for 10.5 Leopard are:

     

    • A Mac computer with an Intel, PowerPC G5, or Power PC G4 (867 MHz or faster) processor
    • 512 MB memory or more
    • A DVD drive for installation
    • 9 GB of available disk space or more

     

    You do lose OS Classic by upgrading to 10.5, however, what do you mean that software is not compatible?  Any Powerbook 867Ghz or later with 512MB of memory and some free disk space should be able to upgrade.

  • 2. Re: how do i upgrade to os10.5 on powerbook g4
    Limnos Level 8 Level 8 (38,435 points)

    what do you mean that software is not compatible?

    Often this means the OP cannot run the newest iTunes, or to a lesser extent a newer browser.